Subject: Re: pasting a password

From: Stefan Monnier <[email-masked]>
Date: Sun, 16 Nov 2008 18:10:59 -0500

> I added a C-y binding to read-passwd.  More complicated stuff, such as
> allowing mouse pastes, will have to wait for a isearch-like rewrite of
> read-passwd, as Stefan said.

How 'bout using a completely different approach: setup a display-table
so that all chars get displayed as *, or else (so that the prompt can
be displayed properly) use an after-change-function to add a `display'
(or composition) property.
I.e. use normal editing, and only cause the display to use *.

        Stefan